using LinqToDB.Mapping;

namespace MediaManager.database.Tables;

[Table(Name = "Movies")]
public class Movie {
	[Column(Name = "MovieID"), PrimaryKey, Identity, NotNull] public int      MovieId        { get; set; }
	[Column(Name = "UserID"), NotNull]                        public int      UserId         { get; set; }
	[Column(Name = "Year"), NotNull]                          public int      Year           { get; set; }
	[Column(Name = "Title"), NotNull]                         public string   Title          { get; set; }
	[Column(Name = "Rating")]                                 public int      Rating         { get; set; }
	[Column(Name = "Rewatchability")]                         public int      Rewatchability { get; set; }
	[Column(Name = "WatchCount")]                             public int      WatchCount     { get; set; }
	[Column(Name = "LastSeen")]                               public DateTime LastSeen       { get; set; }
	[Column(Name = "Comment")]                                public string   Comment        { get; set; }
}
